Documentation

Student Listing EndpointDEPRECATED

Cost3 credits / student returned

Get a list of students from a school's profile.

GET
/api/v2/school/students/

Authorization

BearerAuth client
AuthorizationBearer <token>

In: header

Scope: client

Query Parameters

school_url*string

URL of the School Profile to target.

country?string

Limit the result set to the country locality of the profile. For example, set the parameter of country=us if you only want profiles from the US. This parameter accepts a case-insensitive Alpha-2 ISO3166 country code. Costs an extra 3 credit per result returned.

enrich_profiles?string

Get the full profile of students instead of only their profile urls.
Each request respond with a streaming response of profiles.
The valid values are:

  • skip (default): lists student's profile url
  • enrich: lists full profile of students

Calling this API endpoint with this parameter would add 1 credit per student returned.

search_keyword?string

Filter students by their major by matching the student's major against a regular expression. The default value of this parameter is null. The accepted value for this parameter is a case-insensitive regular expression. (The base cost of calling this API endpoint with this parameter would be 10 credits. Each student matched and returned would cost 6 credits per student returned.)

page_size?string

Limit the maximum results returned per API call. The default value of this parameter is 10. Accepted values for this parameter is an integer ranging from 1 to 200000. When enrich_profiles=enrich, this parameter accepts value ranging from 1 to 10 and the default value is 10.

student_status?string

Parameter to tell the API to return past or current students.
Valid values are current, past, and all:

  • current (default) : lists current students
  • past : lists past students
  • all : lists current & past students
sort_by?string

Sort students by matriculation or graduation dates.
Valid values are:

  • recently-matriculated - Sort students by their matriculation date. Students who had had most recently started school is on the top of the list.
  • recently-graduated - Sort students by their graduation date. The most recently graduated student is on the top of this list.
  • none - The default value. Do not sort.

If this parameter is supplied with a value other than none, will add 50 credits to the base cost of the API endpoint regardless number of results returned. It will also add an additional cost of 10 credits per student returned.

resolve_numeric_id?string

Enable support for School Profile URLs with numerical IDs.
This parameter accepts the following values:

  • false (default value) - Will not resolve numerical IDs.
  • true - Enable support for School Profile URLs with numerical IDs. Costs an extra 2 credit on top of the base cost of the endpoint.

Response Body

application/json

curl -X GET "https://enrichlayer.com/api/v2/school/students/?school_url=https%3A%2F%2Fwww.linkedin.com%2Fschool%2Fstanford-university&country=us&enrich_profiles=enrich&search_keyword=computer*%7Ccs&page_size=10&student_status=current&sort_by=recently-matriculated&resolve_numeric_id=false"
{
  "students": [
    {
      "profile_url": "https://www.linkedin.com/in/satyanadella",
      "profile": {
        "public_identifier": "satyanadella",
        "profile_pic_url": "https://assets.enrichlayer.com/pp/profilepic/7d369850c9fe8c35e78a6a50c75334f5",
        "background_cover_image_url": "https://assets.enrichlayer.com/pp/profilepic/fe878f911fecd238e169a23b12103b0e",
        "first_name": "Satya",
        "last_name": "Nadella",
        "full_name": "Satya Nadella",
        "follower_count": 11888127,
        "occupation": "Chairman and CEO at Microsoft",
        "headline": "Chairman and CEO at Microsoft",
        "summary": "As chairman and CEO of Microsoft, I define my mission and that of my company as empowering every person and every organization on the planet to achieve more.",
        "country": "US",
        "country_full_name": "United States of America",
        "city": "Redmond",
        "state": "Washington",
        "experiences": [
          {
            "starts_at": {
              "day": 1,
              "month": 2,
              "year": 2014
            },
            "ends_at": null,
            "company": "Microsoft",
            "company_linkedin_profile_url": "https://www.linkedin.com/company/microsoft",
            "company_facebook_profile_url": null,
            "title": "Chairman and CEO",
            "description": null,
            "location": "Greater Seattle Area",
            "logo_url": "https://assets.enrichlayer.com/ll/D560BAQH32RJQCl3dDQ/company-logo_100_100/B56ZYQ0mrGGoAU-/0/1744038948046/microsoft_logo?e=2147483647&v=beta&t=rr_7_bFRKp6umQxIHErPOZHtR8dMPIYeTjlKFdotJBY"
          },
          {
            "starts_at": {
              "day": 1,
              "month": 1,
              "year": 2018
            },
            "ends_at": null,
            "company": "University of Chicago",
            "company_linkedin_profile_url": "https://www.linkedin.com/company/uchicago",
            "company_facebook_profile_url": null,
            "title": "Member Board Of Trustees",
            "description": null,
            "location": null,
            "logo_url": "https://assets.enrichlayer.com/pp/profilepic/f40c5f31ef246aeb1000ffb4e40f2991"
          },
          {
            "starts_at": {
              "day": 1,
              "month": 1,
              "year": 2017
            },
            "ends_at": {
              "day": 31,
              "month": 12,
              "year": 2024
            },
            "company": "Starbucks",
            "company_linkedin_profile_url": "https://www.linkedin.com/company/starbucks",
            "company_facebook_profile_url": null,
            "title": "Board Member",
            "description": null,
            "location": null,
            "logo_url": "https://assets.enrichlayer.com/ll/C4D0BAQEQxk9y2rk7Hw/company-logo_100_100/company-logo_100_100/0/1631316692276?e=2147483647&v=beta&t=itdoVXP3gnqtQ7Grar4B3YoPyw-Ors9bKMZlZpb0QcY"
          }
        ],
        "education": [
          {
            "starts_at": {
              "day": 1,
              "month": 1,
              "year": 1994
            },
            "ends_at": {
              "day": 31,
              "month": 12,
              "year": 1996
            },
            "field_of_study": null,
            "degree_name": null,
            "school": "The University of Chicago Booth School of Business",
            "school_linkedin_profile_url": "https://www.linkedin.com/company/universityofchicagoboothschoolofbusiness",
            "school_facebook_profile_url": null,
            "description": null,
            "logo_url": "https://assets.enrichlayer.com/pp/profilepic/88fa467a62fbfc5325394253f14e8700",
            "grade": null,
            "activities_and_societies": null
          },
          {
            "starts_at": {
              "day": null,
              "month": null,
              "year": null
            },
            "ends_at": null,
            "field_of_study": "Electrical Engineering",
            "degree_name": "Bachelor’s Degree",
            "school": "Manipal Institute of Technology, Manipal",
            "school_linkedin_profile_url": "https://www.linkedin.com/company/manipal-institute-of-technology",
            "school_facebook_profile_url": null,
            "description": null,
            "logo_url": "https://assets.enrichlayer.com/pp/profilepic/2aef6f72c73e3b40dbd56163897bdc04",
            "grade": null,
            "activities_and_societies": null
          },
          {
            "starts_at": {
              "day": null,
              "month": null,
              "year": null
            },
            "ends_at": null,
            "field_of_study": "Computer Science",
            "degree_name": "Master’s Degree",
            "school": "University of Wisconsin-Milwaukee",
            "school_linkedin_profile_url": "https://www.linkedin.com/company/uwmilwaukee",
            "school_facebook_profile_url": null,
            "description": null,
            "logo_url": "https://assets.enrichlayer.com/pp/profilepic/7916094135030c5846f34230e03dbaa2",
            "grade": null,
            "activities_and_societies": null
          }
        ],
        "accomplishment_organisations": [],
        "accomplishment_publications": [],
        "accomplishment_honors_awards": [],
        "accomplishment_patents": [],
        "accomplishment_courses": [],
        "accomplishment_projects": [],
        "accomplishment_test_scores": [],
        "volunteer_work": [],
        "certifications": [],
        "connections": 500,
        "people_also_viewed": [
          {
            "link": "https://www.linkedin.com/in/kevinolearytv",
            "name": "Kevin O'Leary",
            "summary": "Chairman, O’Leary Ventures and Beanstox",
            "location": "West Palm Beach"
          },
          {
            "link": "https://www.linkedin.com/in/aaronmartinfc",
            "name": "Aaron Martin",
            "summary": "Vice President Healthcare at Amazon",
            "location": "Seattle"
          },
          {
            "link": "https://www.linkedin.com/in/guthriescott",
            "name": "Scott Guthrie",
            "summary": "Executive Vice President at Microsoft",
            "location": "Bellevue"
          },
          {
            "link": "https://www.linkedin.com/in/toufisaliba",
            "name": "Toufi Saliba",
            "summary": "Author TODA/IP  .  | . CEO HyperCycle.AI  .  | . Chair - International Protocols for AI Security IEEE",
            "location": "San Francisco"
          },
          {
            "link": "https://www.linkedin.com/in/rajeshgopinathan",
            "name": "Rajesh Gopinathan",
            "summary": null,
            "location": "Mumbai"
          }
        ],
        "recommendations": [],
        "activities": [
          {
            "title": "Microsoft has been positioned as a Leader for the fourteenth consecutive year in the Gartner 2021 Magic Quadrant for Analytics and Business…",
            "link": null,
            "activity_status": null
          },
          {
            "title": "On March 17, we’re trying something we’ve never done before: Microsoft will host #Include2021, a free, global, digital event focused on diversity &…",
            "link": null,
            "activity_status": null
          },
          {
            "title": "I talked to Bill Gates about his important new book, which provides a framework to reduce our world’s greenhouse gas emissions to zero, including…",
            "link": null,
            "activity_status": null
          }
        ],
        "similarly_named_profiles": [],
        "articles": [],
        "groups": [],
        "meta": {
          "thin_profile": false,
          "last_updated": "2025-03-15T08:22:00Z"
        }
      },
      "last_updated": "2023-10-26T11:34:30Z"
    }
  ],
  "next_page": null
}
Empty
Empty
Empty
Empty
Empty
Empty
Empty